package lightcontainer.interfaces;

import lightcontainer.protocol.ProtocolReader;
import lightcontainer.protocol.ProtocolWriter;

public interface ProtocolRepository {

    <T extends ProtocolReader.ProtocolResult> T executeReader(String data);

    <T extends ProtocolWriter.ProtocolResult> T  executeWriter(String cmdName, String... data);

    void addReader(ProtocolReader reader);

    void addWriter(ProtocolWriter writer);
}
